# Generated by Django 5.0 on 2024-05-16 11:27

import datetime
import django.db.models.deletion
import localflavor.br.models
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('erp', '0050_remove_loja_pix_remove_loja_pixqrcode_and_more'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AlterField(
            model_name='estoque',
            name='maxjogadores',
            field=models.PositiveSmallIntegerField(blank=True, default=4, null=True, verbose_name='Numero máximo de jogaddores'),
        ),
        migrations.AlterField(
            model_name='estoque',
            name='minjogadores',
            field=models.PositiveSmallIntegerField(blank=True, default=2, null=True, verbose_name='Numero minímo de jogaddores'),
        ),
        migrations.AlterField(
            model_name='faq',
            name='pergunta',
            field=models.TextField(blank=True, null=True, verbose_name='Pergunta'),
        ),
        migrations.AlterField(
            model_name='faq',
            name='resposta',
            field=models.TextField(blank=True, null=True, verbose_name='Resposta'),
        ),
        migrations.AlterField(
            model_name='imagemestoque',
            name='foto',
            field=models.ImageField(upload_to='produtos/', verbose_name='Path da Imagem'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='cliente',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Cliente'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='dtdue',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Data do vencimento do pagamento'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='dtpago',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Data do pagamento'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='invoiceurl',
            field=models.CharField(blank=True, max_length=70, null=True, verbose_name='Link para o comprovante no Asaas'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='paymentID',
            field=models.CharField(default='0', max_length=70, verbose_name='ID do pagament no Asaas'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='pedido',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='erp.pedido', verbose_name='Pedido'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='remoteip',
            field=models.CharField(default='127.0.0.1', max_length=20, verbose_name='Endereço IP do cliente '),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='retornobancario',
            field=models.TextField(blank=True, default='', null=True, verbose_name='ID dos eventos no Asaas'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='status',
            field=models.CharField(choices=[('PENDING', 'PENDING'), ('PAYMENT_CREATED', 'PAYMENT_CREATED'), ('PAYMENT_AWAITING_RISK_ANALYSIS', 'PAYMENT_AWAITING_RISK_ANALYSIS'), ('PAYMENT_APPROVED_BY_RISK_ANALYSIS', 'PAYMENT_APPROVED_BY_RISK_ANALYSIS'), ('PAYMENT_REPROVED_BY_RISK_ANALYSIS', 'PAYMENT_REPROVED_BY_RISK_ANALYSIS'), ('PAYMENT_AUTHORIZED', 'PAYMENT_AUTHORIZED'), ('PAYMENT_UPDATED', 'PAYMENT_UPDATED'), ('PAYMENT_CONFIRMED', 'PAYMENT_CONFIRMED'), ('PAYMENT_RECEIVED', 'PAYMENT_CONFIRMED'), ('PAYMENT_CREDIT_CARD_CAPTURE_REFUSED', 'PAYMENT_CREDIT_CARD_CAPTURE_REFUSED'), ('PAYMENT_ANTICIPATED', 'PAYMENT_ANTICIPATED'), ('PAYMENT_OVERDUE', 'PAYMENT_OVERDUE'), ('PAYMENT_DELETED', 'PAYMENT_DELETED'), ('PAYMENT_RESTORED', 'PAYMENT_RESTORED'), ('PAYMENT_REFUNDED', 'PAYMENT_REFUNDED'), ('PAYMENT_REFUND_IN_PROGRESS', 'PAYMENT_REFUND_IN_PROGRESS'), ('PAYMENT_RECEIVED_IN_CASH_UNDONE', 'PAYMENT_RECEIVED_IN_CASH_UNDONE'), ('PAYMENT_CHARGEBACK_REQUESTED', 'PAYMENT_CHARGEBACK_REQUESTED'), ('PAYMENT_CHARGEBACK_DISPUTE', 'PAYMENT_CHARGEBACK_DISPUTE'), ('PAYMENT_AWAITING_CHARGEBACK_REVERSAL', 'PAYMENT_AWAITING_CHARGEBACK_REVERSAL'), ('PAYMENT_DUNNING_RECEIVED', 'PAYMENT_DUNNING_RECEIVED'), ('PAYMENT_DUNNING_REQUESTED', 'PAYMENT_DUNNING_REQUESTED'), ('PAYMENT_BANK_SLIP_VIEWED', 'PAYMENT_BANK_SLIP_VIEWED'), ('PAYMENT_CHECKOUT_VIEWED', 'PAYMENT_CHECKOUT_VIEWED')], default='PENDING', max_length=45, verbose_name='Status do pagamento'),
        ),
        migrations.AlterField(
            model_name='pagamento',
            name='transactionreceipturl',
            field=models.CharField(blank=True, max_length=70, null=True, verbose_name='Link para o pagamento no Asaas'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='bairro',
            field=models.CharField(blank=True, max_length=30, null=True, verbose_name='Bairro'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='cep',
            field=localflavor.br.models.BRPostalCodeField(blank=True, max_length=9, null=True, verbose_name='CEP'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='cidade',
            field=models.CharField(blank=True, max_length=30, null=True, verbose_name='Cidade'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='complemento',
            field=models.CharField(blank=True, max_length=50, null=True, verbose_name='Complemento'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='dataretorno',
            field=models.DateField(default=datetime.datetime(2024, 5, 23, 11, 27, 31, 274101, tzinfo=datetime.timezone.utc), verbose_name='Data de retorno do pedido'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='dtentregue',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Data da entrega do pedido'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='dtfim',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Data do encerramento do pedido'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='dtpago',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Data do pagemento do pedido'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='endereco',
            field=models.CharField(blank=True, max_length=150, null=True, verbose_name='Endereço da entrega'),
        ),
        migrations.AlterField(
            model_name='pedido',
            name='notas',
            field=models.TextField(blank=True, null=True, verbose_name='Comentários do cliente'),
        ),
    ]
